Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthenticationCodeInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthenticationCodeInfo

Enclosing class:
  TdApi

public static final class TdApi.AuthenticationCodeInfo extends TdApi.Object
Information about the authentication code that was sent.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.AuthenticationCodeType`
`nextType`
The way the next code will be sent to the user; may be null.
`String`
`phoneNumber`
A phone number that is being authenticated.
`int`
`timeout`
Timeout before the code can be re-sent, in seconds.
`TdApi.AuthenticationCodeType`
`type`
The way the code was sent to the user.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationCodeInfo()`
Information about the authentication code that was sent.
`AuthenticationCodeInfo(DataInput input)`
Information about the authentication code that was sent.
`AuthenticationCodeInfo(String phoneNumber, TdApi.AuthenticationCodeType type, TdApi.AuthenticationCodeType nextType, int timeout)`
Information about the authentication code that was sent.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### phoneNumber

public String phoneNumber
A phone number that is being authenticated.

### type

public TdApi.AuthenticationCodeType type
The way the code was sent to the user.

### nextType

public TdApi.AuthenticationCodeType nextType
The way the next code will be sent to the user; may be null.

### timeout

public int timeout
Timeout before the code can be re-sent, in seconds.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AuthenticationCodeInfo

public AuthenticationCodeInfo()
Information about the authentication code that was sent.

### AuthenticationCodeInfo

public AuthenticationCodeInfo(String phoneNumber, TdApi.AuthenticationCodeType type, TdApi.AuthenticationCodeType nextType, int timeout)
Information about the authentication code that was sent.

Parameters:
  `phoneNumber` - String A phone number that is being authenticated.
  `type` - AuthenticationCodeType The way the code was sent to the user.
  `nextType` - AuthenticationCodeType The way the next code will be sent to the user; may be null.
  `timeout` - int Timeout before the code can be re-sent, in seconds.

### AuthenticationCodeInfo

public AuthenticationCodeInfo(DataInput input) throws IOException
Information about the authentication code that was sent.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`